ServerEvents.recipes(event => {

//Blessed Alloy
  event.shaped(
    Item.of('kubejs:blessed_alloy_ingot', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: '#forge:storage_blocks/steel',
      B: '#forge:storage_blocks/gold',
      C: 'minecraft:netherite_ingot'
    }
  ),

//Holy Smithing Template Replication
  event.shaped(
    Item.of('kubejs:holy_smithing_template', 2),
    [
      'ABA',
      'ACA',
      'AAA'
    ],
    {
      A: '#forge:ingots/steel',
      B: 'kubejs:holy_smithing_template',
      C: 'minecraft:quartz_block'
    }
  ),

//Holy Smithing Template
  event.shaped(
    Item.of('kubejs:holy_smithing_template', 1),
    [
      'ABA',
      'BCB',
      'ABA'
    ],
    {
      A: 'irons_spellbooks:arcane_salvage',
      B: 'minecraft:netherite_ingot',
      C: 'minecraft:netherite_upgrade_smithing_template'
    }
  ),

  //TFMG Block Replacers
  //Asphalt
    event.shapeless(
      Item.of('kubejs:asphalt'),
      [
        'crusty_chunks:asphalt'
      ]
    ),
    event.shapeless(
      Item.of('crusty_chunks:asphalt'),
      [
        'kubejs:asphalt'
      ]
    ),
  //Cinderblock
    event.shaped(
      Item.of('kubejs:cinderblock', 4),
      [
        'AA ',
        'AA ',
        '   '
      ],
      {
        A: 'kubejs:cement'
      }
    ),
  //Cinderflour Block
    event.shaped(
      Item.of('kubejs:cinder_flour_block', 4),
      [
        'AA ',
        'AA ',
        '   '
      ],
      {
        A: 'create:cinder_flour'
      }
    ),
  //Cement
    event.recipes.create.mixing('4x kubejs:cement', [Fluid.of("immersiveengineering:concrete", 100)]),
  //Particle Board
    event.shaped(
      Item.of('kubejs:particle_board', 4),
      [
        'AA ',
        'AA ',
        '   '
      ],
      {
        A: 'immersiveengineering:dust_wood'
      }
    ),
  //Factory Floor
    event.shaped(
      Item.of('kubejs:factory_floor', 4),
      [
        'AA ',
        'AA ',
        '   '
      ],
      {
        A: 'design_decor:industrial_iron_floor'
      }
    ),
  //Hardened Planks
    event.smoking('kubejs:hardened_planks', '#forge:treated_wood'),
  //Factory Floor
    event.shaped(
      Item.of('kubejs:rebar_grate', 1),
      [
        'AA ',
        'AA ',
        '   '
      ],
      {
        A: 'crusty_chunks:rebar'
      }
    ),
  //Slag Bricks
    event.shaped(
      Item.of('kubejs:slag_bricks', 4),
      [
        'AA ',
        'AA ',
        '   '
      ],
      {
        A: 'immersiveengineering:slag'
      }
    ),
  //Slag Block
    event.shapeless(
      Item.of('kubejs:slag_block'),
      [
        '9x immersiveengineering:slag'
      ]
    ),
    event.shapeless(
      Item.of('immersiveengineering:slag', 9),
      [
        'kubejs:slag_block'
      ]
    ),
  //Waterproof Planks
    event.shapeless(
      Item.of('kubejs:waterproof_planks', 8),
      [
        '8x #minecraft:planks',
  	  'crusty_chunks:shale_oil'
      ]
    ),
  //Industrial Concrete
    event.shapeless(
      Item.of('kubejs:concrete', 10),
      [
        'immersiveengineering:concrete_bucket'
      ]
    ),
  //Industrial Concrete_black
    event.shapeless(
      Item.of('kubejs:black_concrete', 8),
      [
        '1x minecraft:black_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_blue
    event.shapeless(
      Item.of('kubejs:blue_concrete', 8),
      [
        '1x minecraft:blue_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_brown
    event.shapeless(
      Item.of('kubejs:brown_concrete', 8),
      [
        '1x minecraft:brown_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_cyan
    event.shapeless(
      Item.of('kubejs:cyan_concrete', 8),
      [
        '1x minecraft:cyan_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_gray
    event.shapeless(
      Item.of('kubejs:gray_concrete', 8),
      [
        '1x minecraft:gray_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_green
    event.shapeless(
      Item.of('kubejs:green_concrete', 8),
      [
        '1x minecraft:green_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_lightblue
    event.shapeless(
      Item.of('kubejs:light_blue_concrete', 8),
      [
        '1x minecraft:light_blue_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_lightgray
    event.shapeless(
      Item.of('kubejs:light_gray_concrete', 8),
      [
        '1x minecraft:light_gray_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_lime
    event.shapeless(
      Item.of('kubejs:lime_concrete', 8),
      [
        '1x minecraft:lime_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_magenta
    event.shapeless(
      Item.of('kubejs:magenta_concrete', 8),
      [
        '1x minecraft:magenta_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_orange
    event.shapeless(
      Item.of('kubejs:orange_concrete', 8),
      [
        '1x minecraft:orange_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_pink
    event.shapeless(
      Item.of('kubejs:pink_concrete', 8),
      [
        '1x minecraft:pink_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_purple
    event.shapeless(
      Item.of('kubejs:purple_concrete', 8),
      [
        '1x minecraft:purple_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_red
    event.shapeless(
      Item.of('kubejs:red_concrete', 8),
      [
        '1x minecraft:red_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_white
    event.shapeless(
      Item.of('kubejs:white_concrete', 8),
      [
        '1x minecraft:white_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Industrial Concrete_yellow
    event.shapeless(
      Item.of('kubejs:yellow_concrete', 8),
      [
        '1x minecraft:yellow_dye',
  	  '8x kubejs:concrete'
      ]
    ),
  //Caution Blocks
    event.stonecutting('kubejs:blue_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:brown_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:cyan_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:gray_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:green_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:light_blue_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:light_gray_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:lime_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:magenta_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:orange_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:pink_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:purple_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:red_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:white_caution_block', 'design_decor:industrial_plating_block');
    event.stonecutting('kubejs:yellow_caution_block', 'design_decor:industrial_plating_block');
  //Bauxite
    event.stonecutting('kubejs:cut_bauxite', 'kubejs:bauxite');
    event.stonecutting('kubejs:cut_bauxite_basketweave', 'kubejs:bauxite');
    event.stonecutting('kubejs:cut_bauxite_bricks', 'kubejs:bauxite');
    event.stonecutting('kubejs:cut_bauxite_herringbone_bricks', 'kubejs:bauxite');
    event.stonecutting('kubejs:polished_cut_bauxite', 'kubejs:bauxite');
    event.stonecutting('kubejs:cut_bauxite', 'kubejs:bauxite');
  //Galena
    event.stonecutting('kubejs:cut_galena', 'kubejs:galena');
    event.stonecutting('kubejs:cut_galena_bond', 'kubejs:galena');
    event.stonecutting('kubejs:cut_galena_bricks', 'kubejs:galena');
    event.stonecutting('kubejs:cut_galena_herringbone_bricks', 'kubejs:galena');
    event.stonecutting('kubejs:polished_cut_galena', 'kubejs:galena');
    event.stonecutting('kubejs:cut_galena', 'kubejs:galena');

//Snow Recipes
  event.stonecutting('bountifulblocks:snow_bricks', 'bountifulblocks:packed_snow');
  event.stonecutting('bountifulblocks:snow_brick_stairs', 'bountifulblocks:packed_snow');
  event.stonecutting('2x bountifulblocks:snow_brick_slab', 'bountifulblocks:packed_snow');
  event.stonecutting('bountifulblocks:snow_brick_wall', 'bountifulblocks:packed_snow');
  event.stonecutting('bountifulblocks:packed_snow_stairs', 'bountifulblocks:packed_snow');
  event.stonecutting('2x bountifulblocks:packed_snow_slab', 'bountifulblocks:packed_snow');
  event.stonecutting('bountifulblocks:packed_snow_wall', 'bountifulblocks:packed_snow');
  event.stonecutting('bountifulblocks:snow_brick_stairs', 'bountifulblocks:snow_bricks');
  event.stonecutting('2x bountifulblocks:snow_brick_slab', 'bountifulblocks:snow_bricks');
  event.stonecutting('bountifulblocks:snow_brick_wall', 'bountifulblocks:snow_bricks');

//Dark Scoria
  event.stonecutting('kubejs:dark_scoria_bricks', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:chiseled_dark_scoria', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:dark_scoria_cobblestone', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:fancy_dark_scoria_bricks', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:layered_dark_scoria', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:paved_dark_scoria', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:borderless_paved_dark_scoria', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:dark_scoria_pillar', 'kubejs:dark_scoria');
  event.stonecutting('kubejs:polished_dark_scoria', 'kubejs:dark_scoria');

//Dolomite
  event.stonecutting('kubejs:dolomite_bricks', 'kubejs:dolomite');
  event.stonecutting('kubejs:chiseled_dolomite', 'kubejs:dolomite');
  event.stonecutting('kubejs:dolomite_cobblestone', 'kubejs:dolomite');
  event.stonecutting('kubejs:fancy_dolomite_bricks', 'kubejs:dolomite');
  event.stonecutting('kubejs:layered_dolomite', 'kubejs:dolomite');
  event.stonecutting('kubejs:paved_dolomite', 'kubejs:dolomite');
  event.stonecutting('kubejs:borderless_paved_dolomite', 'kubejs:dolomite');
  event.stonecutting('kubejs:dolomite_pillar', 'kubejs:dolomite');
  event.stonecutting('kubejs:polished_dolomite', 'kubejs:dolomite');

//Gabbro
  event.stonecutting('kubejs:gabbro_bricks', 'kubejs:gabbro');
  event.stonecutting('kubejs:chiseled_gabbro', 'kubejs:gabbro');
  event.stonecutting('kubejs:gabbro_cobblestone', 'kubejs:gabbro');
  event.stonecutting('kubejs:fancy_gabbro_bricks', 'kubejs:gabbro');
  event.stonecutting('kubejs:layered_gabbro', 'kubejs:gabbro');
  event.stonecutting('kubejs:paved_gabbro', 'kubejs:gabbro');
  event.stonecutting('kubejs:borderless_paved_gabbro', 'kubejs:gabbro');
  event.stonecutting('kubejs:gabbro_pillar', 'kubejs:gabbro');
  event.stonecutting('kubejs:polished_gabbro', 'kubejs:gabbro');

//Limestone
  event.stonecutting('kubejs:chiseled_limestone', 'create:limestone');
  event.stonecutting('kubejs:limestone_cobblestone', 'create:limestone');
  event.stonecutting('kubejs:fancy_limestone_bricks', 'create:limestone');
  event.stonecutting('kubejs:paved_limestone', 'create:limestone');
  event.stonecutting('kubejs:borderless_paved_limestone', 'create:limestone');

//Legacy Scoria
  event.stonecutting('kubejs:legacy_scoria_bricks', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_chiseled_scoria', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_scoria_cobblestone', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_fancy_scoria_bricks', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_layered_scoria', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_paved_scoria', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_borderless_paved_scoria', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_scoria_pillar', 'kubejs:legacy_scoria');
  event.stonecutting('kubejs:legacy_polished_scoria', 'kubejs:legacy_scoria');

//Weathered Limestone
  event.stonecutting('kubejs:weathered_limestone_bricks', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:chiseled_weathered_limestone', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:weathered_limestone_cobblestone', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:fancy_weathered_limestone_bricks', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:layered_weathered_limestone', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:paved_weathered_limestone', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:borderless_paved_weathered_limestone', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:weathered_limestone_pillar', 'kubejs:weathered_limestone');
  event.stonecutting('kubejs:polished_weathered_limestone', 'kubejs:weathered_limestone');

//Hematite
  event.stonecutting('kubejs:borderless_paved_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:chiseled_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:fancy_hematite_bricks', 'kubejs:hematite');
  event.stonecutting('kubejs:half_tiles_paved_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:hematite_bricks', 'kubejs:hematite');
  event.stonecutting('kubejs:hematite_cobblestone', 'kubejs:hematite');
  event.stonecutting('kubejs:hematite_pillar', 'kubejs:hematite');
  event.stonecutting('kubejs:hematite_tiles', 'kubejs:hematite');
  event.stonecutting('kubejs:herringbone_hematite_bricks', 'kubejs:hematite');
  event.stonecutting('kubejs:layered_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:maze_chiseled_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:paved_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:polished_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:small_bricks_paved_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:tiles_paved_hematite', 'kubejs:hematite');
  event.stonecutting('kubejs:wavy_hematite', 'kubejs:hematite');

//Charred Nether Bricks
  event.stonecutting('kubejs:polished_charred_nether_bricks', 'kubejs:charred_nether_bricks');
  event.stonecutting('kubejs:herringbone_charred_nether_bricks', 'kubejs:charred_nether_bricks');
  event.stonecutting('kubejs:charred_nether_brick_pillar', 'kubejs:charred_nether_bricks');

//Charred Planks
  event.stonecutting('kubejs:charred_mosaic', 'kubejs:charred_planks');
  event.stonecutting('kubejs:charred_grate', 'kubejs:charred_planks');
  event.stonecutting('kubejs:herringbone_charred_planks', 'kubejs:charred_planks');

//Glass
  event.stonecutting('kubejs:beveled_glass', 'minecraft:glass');
  event.stonecutting('kubejs:tinted_beveled_glass', 'minecraft:tinted_glass');
  event.stonecutting('kubejs:framed_glass', 'minecraft:glass');

//Marble
  event.stonecutting('kubejs:marble_bricks', 'kubejs:marble');
  event.stonecutting('kubejs:marble_circular_paving', 'kubejs:marble');
  event.stonecutting('kubejs:marble_lines', 'kubejs:marble');
  event.stonecutting('kubejs:marble_squares', 'kubejs:marble');
  event.stonecutting('kubejs:marble_tiles', 'kubejs:marble');
  event.stonecutting('kubejs:chiseled_marble', 'kubejs:marble');
  event.stonecutting('kubejs:chiseled_marble_bricks', 'kubejs:marble');
  event.stonecutting('kubejs:small_marble_bricks', 'kubejs:marble');
  event.stonecutting('kubejs:marble_pillar', 'kubejs:marble');
  event.stonecutting('kubejs:chiseled_marble_pillar', 'kubejs:marble');

//Biotite
  event.stonecutting('kubejs:biotite_bricks', 'kubejs:biotite_block');
  event.stonecutting('kubejs:chiseled_biotite', 'kubejs:biotite_block');
  event.stonecutting('kubejs:smooth_biotite', 'kubejs:biotite_block');
  event.stonecutting('kubejs:biotite_pillar', 'kubejs:biotite_block');

//Alt Limestone
  event.stonecutting('kubejs:alt_limestone_bricks', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_limestone_circular_paving', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_limestone_lines', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_limestone_squares', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_limestone_tiles', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_chiseled_limestone', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_chiseled_limestone_bricks', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_small_limestone_bricks', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_limestone_pillar', 'kubejs:alt_limestone');
  event.stonecutting('kubejs:alt_chiseled_limestone_pillar', 'kubejs:alt_limestone');

//Bluestone
  event.stonecutting('kubejs:bluestone_bricks', 'kubejs:bluestone');
  event.stonecutting('kubejs:bluestone_circular_paving', 'kubejs:bluestone');
  event.stonecutting('kubejs:bluestone_lines', 'kubejs:bluestone');
  event.stonecutting('kubejs:bluestone_squares', 'kubejs:bluestone');
  event.stonecutting('kubejs:bluestone_tiles', 'kubejs:bluestone');
  event.stonecutting('kubejs:chiseled_bluestone', 'kubejs:bluestone');
  event.stonecutting('kubejs:chiseled_bluestone_bricks', 'kubejs:bluestone');
  event.stonecutting('kubejs:small_bluestone_bricks', 'kubejs:bluestone');
  event.stonecutting('kubejs:bluestone_pillar', 'kubejs:bluestone');
  event.stonecutting('kubejs:chiseled_bluestone_pillar', 'kubejs:bluestone');

//Jasper
  event.stonecutting('kubejs:jasper_bricks', 'kubejs:jasper');
  event.stonecutting('kubejs:chiseled_jasper_bricks', 'kubejs:jasper');
  event.stonecutting('kubejs:polished_jasper', 'kubejs:jasper');
  event.stonecutting('kubejs:jasper_pillar', 'kubejs:jasper');

//Shale
  event.stonecutting('kubejs:shale_bricks', 'kubejs:shale');
  event.stonecutting('kubejs:chiseled_shale_bricks', 'kubejs:shale');
  event.stonecutting('kubejs:polished_shale', 'kubejs:shale');
  event.stonecutting('kubejs:shale_pillar', 'kubejs:shale');

//Soaked Bricks
  event.stonecutting('kubejs:herringbone_soaked_bricks', 'kubejs:soaked_bricks');

//Uranium Block
  event.shapeless(
    Item.of('kubejs:uranium_block'),
    [
      '9x crusty_chunks:uranium_neural_ingot'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:uranium_neural_ingot', 9),
    [
      'kubejs:uranium_block'
    ]
  ),
//Enriched Uranium Block
  event.shapeless(
    Item.of('kubejs:enriched_uranium_block'),
    [
      '9x crusty_chunks:uranium_enriched_ingot'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:uranium_enriched_ingot', 9),
    [
      'kubejs:enriched_uranium_block'
    ]
  ),
//Depleted Uranium Block
  event.shapeless(
    Item.of('kubejs:depleted_uranium_block'),
    [
      '9x crusty_chunks:uranium_depleted_ingot'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:uranium_depleted_ingot', 9),
    [
      'kubejs:depleted_uranium_block'
    ]
  ),
//Cut Depleted Uranium
  event.stonecutting('kubejs:cut_depleted_uranium', 'kubejs:depleted_uranium_block');
//Plutonium Block
  event.shapeless(
    Item.of('kubejs:plutonium_block'),
    [
      '9x crusty_chunks:plutonium_ingot'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:plutonium_ingot', 9),
    [
      'kubejs:plutonium_block'
    ]
  ),
//Enriched Lithium Block
  event.shapeless(
    Item.of('kubejs:enriched_lithium_block'),
    [
      '9x crusty_chunks:enriched_lithium_ingot'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:enriched_lithium_ingot', 9),
    [
      'kubejs:enriched_lithium_block'
    ]
  ),
//Lithium Deuteride Block
  event.shapeless(
    Item.of('kubejs:lithium_deuteride_block'),
    [
      '9x crusty_chunks:lithium_deuteride'
    ]
  ),
  event.shapeless(
    Item.of('crusty_chunks:lithium_deuteride', 9),
    [
      'kubejs:lithium_deuteride_block'
    ]
  ),

  event.stonecutting('kubejs:black_shingles', 'minecraft:black_terracotta');
  event.stonecutting('kubejs:blue_shingles', 'minecraft:blue_terracotta');
  event.stonecutting('kubejs:brown_shingles', 'minecraft:brown_terracotta');
  event.stonecutting('kubejs:cyan_shingles', 'minecraft:cyan_terracotta');
  event.stonecutting('kubejs:gray_shingles', 'minecraft:gray_terracotta');
  event.stonecutting('kubejs:green_shingles', 'minecraft:green_terracotta');
  event.stonecutting('kubejs:light_blue_shingles', 'minecraft:light_blue_terracotta');
  event.stonecutting('kubejs:light_gray_shingles', 'minecraft:light_gray_terracotta');
  event.stonecutting('kubejs:lime_shingles', 'minecraft:lime_terracotta');
  event.stonecutting('kubejs:magenta_shingles', 'minecraft:magenta_terracotta');
  event.stonecutting('kubejs:orange_shingles', 'minecraft:orange_terracotta');
  event.stonecutting('kubejs:pink_shingles', 'minecraft:pink_terracotta');
  event.stonecutting('kubejs:purple_shingles', 'minecraft:purple_terracotta');
  event.stonecutting('kubejs:red_shingles', 'minecraft:red_terracotta');
  event.stonecutting('kubejs:shingles', 'minecraft:terracotta');
  event.stonecutting('kubejs:white_shingles', 'minecraft:white_terracotta');
  event.stonecutting('kubejs:yellow_shingles', 'minecraft:yellow_terracotta')
})
